<?php

/******************************************************************************
 * 記事本文中に Amazon から取得した商品情報を表示するクラス
 *****************************************************************************/
class SimpleAmazonView {

	private $htmlGenerater;

	function __construct() {
		$this->htmlGenerater = new SimpleAmazonGenerateHtml();
	}

	// 記事本文中のコードを個別商品表示 HTML に置き換える
	function _replacestrings($content) { // 記事本文中の呼び出しコードを変換

		global $post;

//		$regexps[] = '/\[tmkm-amazon\](?P<asin>[A-Z0-9]{10,13})\[\/tmkm-amazon\]/';
		$regexps[] = '/<amazon>(?P<asin>[A-Z0-9]{10,13})<\/amazon>/';
		$regexps[] = '/(^|<p>)http:\/\/www.amazon.co.jp\/(?P<name>[\S]+)\/dp\/(?P<asin>[A-Z0-9]{10}).*?($|<\/p>)/m';
		$regexps[] = '/(^|<p>)http:\/\/www.amazon.co.jp\/gp\/product\/(?P<asin>[A-Z0-9]{10}).*?($|<\/p>)/m';
//		$regexps[] = '/^http:\/\/www.amazon.co.jp\/(?P<name>[\S]+)\/dp\/(?P<asin>[A-Z0-9]{10}).*$/m';
//		$regexps[] = '/^http:\/\/www.amazon.co.jp\/gp\/product\/(?P<asin>[A-Z0-9]{10}).*$/m';

		foreach( $regexps as $regexp ) {
			if( preg_match_all($regexp, $content, $arr) ) {
				for ($i=0; $i<count($arr[0]); $i++) {
//					if( !$arr[name][$i] ) $arr[name][$i] = '';
					$display = $this->htmlGenerater->format_amazon( $arr[asin][$i], $arr[name][$i] );
					// ASINコードの置換
					$content = str_replace($arr[0][$i], $display, $content);
				}
			}
		}

		/* for WYSWYG Editer */
//		$content = str_replace('<p><div class="simple-amazon-view">', '<div class="simple-amazon-view">', $content);
//		$content = str_replace('<hr class="simple-amazon-clear" /></div></p>', '<hr class="simple-amazon-clear" /></div>', $content);

		return $content;

	}

	// PHP 関数として Amazon の個別商品 HTML を呼び出す
	function simple_amazon_view( $asin ) { // PHP テ−マファイル中に記述する関数
		$name = '';
		$display = $this->htmlGenerater->format_amazon( $asin, $name );
		echo $display;
	}

}

?>