<?php
/*
Plugin Name: Simple Amazon
Plugin URI: http://www.icoro.com/
Description: ASIN を指定して Amazon から個別商品の情報を取出します。BOOKS, DVD, CD は詳細情報を取り出せます。
Author: icoro
Version: 4.0
Author URI: http://www.icoro.com/
Special Thanks: tomokame (http://http://tomokame.moo.jp/)
Special Thanks: websitepublisher.net (http://www.websitepublisher.net/article/aws-php/)
Special Thanks: hiromasa.zone :o) (http://hiromasa.zone.ne.jp/)
Special Thanks: PEAR :: Package :: Cache_Lite (http://pear.php.net/package/Cache_Lite)
Special Thanks: Amazon® AWS HMAC signed request using PHP (http://mierendo.com/software/aws_signed_query/)
Special Thanks: PHP による Amazon PAAPI の毎秒ルール制限の実装とキャッシュの構築例 (http://sakuratan.biz/archives/1395)
*/

if( $_SERVER['SCRIPT_FILENAME'] == __FILE__ ) die();

/******************************************************************************
 * 定数の設定 (主にディレクトリのパスとか)
 *****************************************************************************/
if ( ! defined( 'SIMPLE_AMAZON_PLUGIN_DIR' ) )
	define( 'SIMPLE_AMAZON_PLUGIN_DIR', WP_PLUGIN_DIR . '/' . plugin_basename( dirname( __FILE__ ) ) );

if ( ! defined( 'SIMPLE_AMAZON_PLUGIN_URL' ) )
	define( 'SIMPLE_AMAZON_PLUGIN_URL', WP_PLUGIN_URL . '/' . plugin_basename( dirname( __FILE__ ) ) );

if ( ! defined( 'SIMPLE_AMAZON_IMG_URL' ) )
	define( 'SIMPLE_AMAZON_IMG_URL', SIMPLE_AMAZON_PLUGIN_URL . '/images' );


/******************************************************************************
 * クラスの読み込み
 *****************************************************************************/
include_once(SIMPLE_AMAZON_PLUGIN_DIR . '/include/sa_view_class.php');
include_once(SIMPLE_AMAZON_PLUGIN_DIR . '/include/sa_xmlparse_class.php');
include_once(SIMPLE_AMAZON_PLUGIN_DIR . '/include/sa_cache_control_class.php');
include_once(SIMPLE_AMAZON_PLUGIN_DIR . '/include/sa_admin_class.php');
include_once(SIMPLE_AMAZON_PLUGIN_DIR . '/include/sa_generate_html_class.php');


/******************************************************************************
 * 関数の設定
 *****************************************************************************/
if(!function_exists('simple_amazon_view')) {
	function simple_amazon_view($Searchstring) {
		global $simpleAmazonView;
		$simpleAmazonView->simple_amazon_view($Searchstring);
	}
}

function add_simpleamazon_stylesheet(){
	global $simple_amazon_settings;
	if( $simple_amazon_settings['setcss'] == 'yes') {
		?>
<link rel="stylesheet" href="<?php echo SIMPLE_AMAZON_PLUGIN_URL; ?>/simple-amazon.css" type="text/css" media="screen" />
		<?php
	}
}


/******************************************************************************
 * プログラムの実行
 *****************************************************************************/
$simple_amazon_settings = get_option('simple_amazon_admin_options');
$plugin_basename = plugin_basename(__FILE__);

$simpleAmazonView	= new SimpleAmazonView();
$simpleAmazonAdmin	= new SimpleAmazonAdmin();

add_action('wp_head', 'add_simpleamazon_stylesheet');
add_action('admin_menu', array(&$simpleAmazonAdmin, 'simple_amazon_add_options')); // Insert the Admin panel.
add_action( 'deactivate_' . $plugin_basename, array( & $simpleAmazonAdmin, 'uninstall' ) );

add_filter('the_content', array(&$simpleAmazonView, '_replacestrings'));

?>